Bug 969797 - No fence_type parameter under /api/hosts/{host:id}/fence
No fence_type parameter under /api/hosts/{host:id}/fence
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Linux
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ori Liel
Barak Dagan
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 08:01 EDT by Artyom
Modified: 2016-02-10 14:04 EST (History)
7 users (show)

See Also:
Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15289 None None None Never

  None (edit)
Description Artyom 2013-06-02 08:01:48 EDT
Description of problem:
No fence_type parameter under /api/hosts/{host:id}/fence

Version-Release number of selected component (if applicable):
sf17

How reproducible:
Check api of rhevm

Steps to Reproduce:
1. Enter https://artyom-rhevm.scl.lab.tlv.redhat.com/api?rsdl via browser
2. Find /api/hosts/{host:id}/fence
3. 

Actual results:
No fence_type parameter

Expected results:
fence_type parameter exist

Additional info:
via cli try:
action host host_id fence --fence_type manual - auto complete for fence show just --correlation-id and no --fence_type
Comment 1 Ori Liel 2013-06-03 03:21:51 EDT
http://gerrit.ovirt.org/#/c/15289/
Comment 2 Barak Dagan 2013-07-03 07:13:11 EDT
Verified on IS4:

1) rsdl:

3.2:
<link href="/api/hosts/{host:id}/fence" rel="fence">
 <request>
  <http_method>POST</http_method>
  <body>
     <type>Action</type>
  </body>
 </request>
 <response>
   <type>Action</type>
 </response>
</link>

3.3:
<link href="/api/hosts/{host:id}/fence" rel="fence">
 <request>
  <http_method>POST</http_method>
  <body>
     <type>Action</type>
  </body>
 </request>
 <response>
   <type>Action</type>
   <parameters_set>
     <parameter required="true" type="xs:string">
       <name>action.fence_type</name>
     </parameter>
   </parameters_set>
 </response>
</link>


2) CLI:

action host e56c9e7a-a37e-406d-b040-ce54f048118b fence --fence_type manual
Comment 3 Itamar Heim 2014-01-21 17:31:45 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:31:46 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:34:22 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.